IP_ADDR = allpawcare.com
DOMAIN = allpawcare.com
USER = awkawb
IMG_ORIGINAL = "img_original"
IMG_PUBLIC = "all_paw_care/static/img"
LOCAL_ARCHIVE = $(shell pwd)/public.tar
PUBLIC_DIR = "$(shell pwd)/public"
REMOTE_DIR = /home/awkawb

.PHONY: dev-server
dev-server:
	flask run --no-reload

.PHONY: process-images
process-images:
	for 

.PHONY: push-archive
push-archive: archive
	scp $(LOCAL_ARCHIVE) root@$(DOMAIN):/srv/www && rm $(LOCAL_ARCHIVE)

.PHONY: archive
archive:
	tar -cf $(LOCAL_ARCHIVE) $(PUBLIC_DIR)

.PHONY: ssh
ssh:
	ssh $(USER)@$(DOMAIN)

.PHONY: ssh-root
ssh-root:
	ssh root@$(DOMAIN)

